﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Drawing;

namespace EduNetworkBuilder
{
    public class ActionCollection
    {
        Network StartingState = null;
        public List<NetworkAction> NetActions = new List<NetworkAction>();

        public void RegisterNet(Network starting)
        {
            //Get name from network
            //See if that 
        }
        /// <summary>
        /// Return true if we already have a solved state for this network
        /// </summary>
        /// <param name="starting"></param>
        /// <returns></returns>
        public bool AlreadyHaveNet(Network starting)
        {
            //Look up the network to see if we have it already
            return AlreadyHaveNet(starting.PuzzleName);
        }
        public bool AlreadyHaveNet(string starting)
        {
            //Look up the network to see if we have it already
            foreach(NetworkAction NA in NetActions)
            {
                if (NA.NetworkName == starting) return true;
            }
            return false;
        }
    }

    public class NetworkAction
    {
        public string NetworkName = "";
        public List<ActionClass> Actions = new List<ActionClass>();
    }

    public class ActionClass
    {
        public int SourceID = -1;
        public int DestID = -1;
        public Point Location;
        public NetworkComponentType newItemType = NetworkComponentType.none;
        public NetworkDevice ChangedDevice = null;
    }
}
